Subject: accept() and other networking functions?
From: [email-masked] (Sami Laine)

10 Dec 1997 06:44:05 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello.

I'm having some trouble with accept() under Win95. I use gnu-win32 b18
release from ftp.cygnus.com.

Problem I'm having is the fact that accept() fails to function and
always returns -1. Same source is working nicely under Debian/GNU Linux
and NetBSD-1.1.

Are there any special tricks to get accept() working normally?

Usual bind(), socket() stuff done before this.

--- snip ---
        while(1) {
                i = sizeof(sin);
                cli_sock =
                        accept(serv_sock, (struct sockaddr *) &sin, (int *)&i);
                if(cli_sock == -1 && errno == EINTR)
                        continue;

                if(cli_sock == -1)
                        return EXIT_FAILURE;
--- snip ---

-- 
Sami Laine

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".